Skip to main content
GET
/
api
/
v1
/
agents
/
{agent_id}
Get Agent
curl --request GET \
  --url https://control-plane.kubiya.ai/api/v1/agents/{agent_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://control-plane.kubiya.ai/api/v1/agents/{agent_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://control-plane.kubiya.ai/api/v1/agents/{agent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "organization_id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "system_prompt": "<string>",
  "status": "<string>",
  "capabilities": [
    "<unknown>"
  ],
  "configuration": {},
  "model_id": "<string>",
  "llm_config": {},
  "runtime": "<string>",
  "runner_name": "<string>",
  "team_id": "<string>",
  "created_at": "<string>",
  "updated_at": "<string>",
  "last_active_at": "<string>",
  "state": {},
  "error_message": "<string>",
  "projects": [
    {}
  ],
  "environments": [
    {}
  ],
  "skill_ids": [
    "<string>"
  ],
  "skills": [
    {}
  ],
  "execution_environment": {
    "working_dir": "<string>",
    "env_vars": {},
    "secrets": [
      "<string>"
    ],
    "integration_ids": [
      "<string>"
    ],
    "mcp_servers": {}
  }
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Enter your Kubiya API token (format: Bearer )

Path Parameters

agent_id
string
required

Response

Successful Response

id
string
required
organization_id
string
required
name
string
required
description
string | null
required
system_prompt
string | null
required
status
string
required
capabilities
any[]
required
configuration
Configuration · object
required
model_id
string | null
required
llm_config
Llm Config · object
required
runtime
string | null
required
runner_name
string | null
required
team_id
string | null
required
created_at
string
required
updated_at
string
required
last_active_at
string | null
required
state
State · object
required
error_message
string | null
required
projects
Projects · object[]

Projects this agent belongs to

environments
Environments · object[]

Environments this agent is deployed to

skill_ids
string[] | null

IDs of associated skills

skills
Skills · object[] | null

Associated skills with details

execution_environment
ExecutionEnvironment · object | null

Execution environment configuration for agents/teams